/*
 * ActionSequenceUnitTest.hpp
 *
 *  Created on: Dec 17, 2009
 *      Author: crueger
 */

#ifndef ACTIONSEQUENCEUNITTEST_HPP_
#define ACTIONSEQUENCEUNITTEST_HPP_

#include <cppunit/extensions/HelperMacros.h>

class Action;
class wasCalledActionStub;

class ActionSequenceTest :  public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( ActionSequenceTest) ;
  CPPUNIT_TEST ( canUndoTest );
  CPPUNIT_TEST ( doesCallTest );
  CPPUNIT_TEST ( doesUndoTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void canUndoTest();
  void doesCallTest();
  void doesUndoTest();

private:
  Action *positive1;
  Action *positive2;
  Action *negative1;
  Action *negative2;
  wasCalledActionStub* shouldCall1;
  wasCalledActionStub* shouldCall2;
  wasCalledActionStub* shouldNotCall1;
  wasCalledActionStub* shouldNotCall2;
  bool hasDescriptor;
};

#endif /* ACTIONSEQUENCEUNITTEST_HPP_ */
