/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * InfoUnitTest.cpp
 *
 *  Created on: Nov 25, 2009
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

using namespace std;

#include <cppunit/CompilerOutputter.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/ui/text/TestRunner.h>

#include <iostream>
#include <stdio.h>

#include "Helpers/Info.hpp"
#include "Helpers/Log.hpp"

#include "InfoUnitTest.hpp"

#ifdef HAVE_TESTRUNNER
#include "UnitTestMain.hpp"
#endif /*HAVE_TESTRUNNER*/

/********************************************** Test classes **************************************/

// Registers the fixture into the 'registry'
CPPUNIT_TEST_SUITE_REGISTRATION( InfoTest );


void InfoTest::setUp()
{
};


void InfoTest::tearDown()
{
  logger::purgeInstance();
};

/** UnitTest for FunctionTest().
 */
void InfoTest::FunctionTest()
{
  const char *msg = __func__;
  class Info test(msg);

  CPPUNIT_ASSERT_EQUAL( msg , test.FunctionName );
  CPPUNIT_ASSERT_EQUAL( 1, test.verbosity );
};
