/*
 * PlaneUnittest.hpp
 *
 *  Created on: Apr 30, 2010
 *      Author: crueger
 */

#ifndef PLANEUNITTEST_HPP_
#define PLANEUNITTEST_HPP_

#include <cppunit/extensions/HelperMacros.h>

#include "LinearAlgebra/Plane.hpp"

class PlaneUnittest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( PlaneUnittest) ;
  CPPUNIT_TEST ( constructionErrorTest );
  CPPUNIT_TEST ( constructionResultTest );
  CPPUNIT_TEST ( pointsTest );
  CPPUNIT_TEST ( operationsTest );
  CPPUNIT_TEST ( mirrorTest );
  CPPUNIT_TEST ( LineIntersectionTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void constructionErrorTest();
  void constructionResultTest();
  void pointsTest();
  void operationsTest();
  void mirrorTest();
  void LineIntersectionTest();

private:
  Plane *p1;
  Plane *p2;
  Plane *p3;
  Plane *p4;
};

#endif /* PLANEUNITTEST_HPP_ */
