/*
 * Tesselation_BoundaryTriangleUnitTest.hpp
 *
 *  Created on: Jan 13, 2010
 *      Author: heber
 */

#ifndef TESSELATION_BOUNDARYTRIANGLEUNITTEST_HPP_
#define TESSELATION_BOUNDARYTRIANGLEUNITTEST_HPP_

/*********************************************** includes ***********************************/

#include <cppunit/extensions/HelperMacros.h>

#include "linkedcell.hpp"
#include "tesselation.hpp"

class TesselPoint;

/********************************************** Test classes **************************************/

class TesselationBoundaryTriangleTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( TesselationBoundaryTriangleTest) ;
    CPPUNIT_TEST ( GetClosestPointOnPlaneTest );
    CPPUNIT_TEST ( GetClosestPointOffPlaneTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void GetClosestPointOnPlaneTest();
      void GetClosestPointOffPlaneTest();

private:
      static const double SPHERERADIUS;

      class BoundaryTriangleSet *triangle;
      class BoundaryLineSet *lines[3];
      class BoundaryPointSet *points[3];
      class TesselPoint *tesselpoints[3];
      LinkedCell::LinkedNodes Corners;
};


#endif /* TESSELATION_BOUNDARYTRIANGLEUNITTEST_HPP_ */
